Bug 1128844 - Nova instance missing ifcfg-ethX file
Summary: Nova instance missing ifcfg-ethX file
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Russell Bryant
QA Contact: Sean Toner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 15:49 UTC by Jean-Tsung Hsiao
Modified: 2019-09-09 14:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 15:06:14 UTC


Attachments (Terms of Use)

Description Jean-Tsung Hsiao 2014-08-11 15:49:47 UTC
Description of problem: Nova instance missing ifcfg-ethX file


Version-Release number of selected component (if applicable):

Openstack 5.0

RHEL7

How reproducible: reproducible


Steps to Reproduce:
1. nova boot instance
2. check instance's /etc/sysconfig/network-scripts directgory for ifcfg-ethX file, where X could be 0 or 1. This file contains:
DEVICE=ethX
BOOPROTO=dhcp

3.

Actual results:
In my case all instances didn't have the ifcfg-eth1 file.

Expected results:
The ifcfg-ethX should exist for any instance so that it will be assigned an IP address via dhcp.

Additional info:

Comment 2 Russell Bryant 2014-08-13 15:15:52 UTC
(In reply to Jean-Tsung Hsiao from comment #0)
> Description of problem: Nova instance missing ifcfg-ethX file
> 
> 
> Version-Release number of selected component (if applicable):
> 
> Openstack 5.0
> 
> RHEL7
> 
> How reproducible: reproducible
> 
> 
> Steps to Reproduce:
> 1. nova boot instance
> 2. check instance's /etc/sysconfig/network-scripts directgory for ifcfg-ethX
> file, where X could be 0 or 1. This file contains:
> DEVICE=ethX
> BOOPROTO=dhcp
> 
> 3.
> 
> Actual results:
> In my case all instances didn't have the ifcfg-eth1 file.
> 
> Expected results:
> The ifcfg-ethX should exist for any instance so that it will be assigned an
> IP address via dhcp.

What guest image are you using?  Is it set up to use cloud-init?

Have you verified to see if the nova metadata service is responding as expected?

Comment 3 Jean-Tsung Hsiao 2014-08-13 16:44:54 UTC
(In reply to Russell Bryant from comment #2)
> (In reply to Jean-Tsung Hsiao from comment #0)
> > Description of problem: Nova instance missing ifcfg-ethX file
> > 
> > 
> > Version-Release number of selected component (if applicable):
> > 
> > Openstack 5.0
> > 
> > RHEL7
> > 
> > How reproducible: reproducible
> > 
> > 
> > Steps to Reproduce:
> > 1. nova boot instance
> > 2. check instance's /etc/sysconfig/network-scripts directgory for ifcfg-ethX
> > file, where X could be 0 or 1. This file contains:
> > DEVICE=ethX
> > BOOPROTO=dhcp
> > 
> > 3.
> > 
> > Actual results:
> > In my case all instances didn't have the ifcfg-eth1 file.
> > 
> > Expected results:
> > The ifcfg-ethX should exist for any instance so that it will be assigned an
> > IP address via dhcp.
> 
> What guest image are you using?  Is it set up to use cloud-init?

Use the one created by virt-install. Don't think it's setup to use cloud-init.

The image has a eth0 in it. So, ifcfg-eth1 should be created for all nova instances.

> 
> Have you verified to see if the nova metadata service is responding as
> expected?

Here are all the nova related services:

openstack-nova-api:                     active
openstack-nova-cert:                    active
openstack-nova-compute:                 active
openstack-nova-network:                 inactive  (disabled on boot)
openstack-nova-scheduler:               active
openstack-nova-volume:                  inactive  (disabled on boot)
openstack-nova-conductor:               active

Anything missing?

Comment 4 Russell Bryant 2014-08-27 15:06:14 UTC
(In reply to Jean-Tsung Hsiao from comment #3)
> (In reply to Russell Bryant from comment #2)
> > (In reply to Jean-Tsung Hsiao from comment #0)
> > > Description of problem: Nova instance missing ifcfg-ethX file
> > > 
> > > 
> > > Version-Release number of selected component (if applicable):
> > > 
> > > Openstack 5.0
> > > 
> > > RHEL7
> > > 
> > > How reproducible: reproducible
> > > 
> > > 
> > > Steps to Reproduce:
> > > 1. nova boot instance
> > > 2. check instance's /etc/sysconfig/network-scripts directgory for ifcfg-ethX
> > > file, where X could be 0 or 1. This file contains:
> > > DEVICE=ethX
> > > BOOPROTO=dhcp
> > > 
> > > 3.
> > > 
> > > Actual results:
> > > In my case all instances didn't have the ifcfg-eth1 file.
> > > 
> > > Expected results:
> > > The ifcfg-ethX should exist for any instance so that it will be assigned an
> > > IP address via dhcp.
> > 
> > What guest image are you using?  Is it set up to use cloud-init?
> 
> Use the one created by virt-install. Don't think it's setup to use
> cloud-init.
> 
> The image has a eth0 in it. So, ifcfg-eth1 should be created for all nova
> instances.

Please try an image prepared for use with OpenStack.  For a tiny test image, you can download CirrOS.  Fedora also distributes cloud images (http://fedoraproject.org/en/get-fedora#clouds).  We also make cloud iamges of RHEL.

A better place to get help may be using the internal rhos-tech mailing list.

Comment 6 Jean-Tsung Hsiao 2014-08-27 15:10:38 UTC
Looks like regression to me.

Why can't a virt image be used?

Is this a OSP 5.0 feature?


Note You need to log in before you can comment on or make changes to this bug.